#include <bits/stdc++.h>

using namespace std;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    string t,s;

    cin>>t>>s;

    int m=s.length();
    int n=t.length();

    for(int i=0;i<n;i++){
        if(t[i]=='a'){
            m--;
            if(m<1){
                t[i]='*';
            }
        }
    }
    cout<<0-m+1<<'\n';
    cout<<t;
}